commit:     28c92ab4444552b6d7c985f8d0b98fee398df8db
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Thu May 15 23:13:44 2025 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Sat May 17 11:05:49 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28c92ab4

net-im/gajim: add 2.2.0

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42110
Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 net-im/gajim/Manifest           |   1 +
 net-im/gajim/gajim-2.2.0.ebuild | 105 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-im/gajim/Manifest b/net-im/gajim/Manifest
index 63445a334925..857dbd60d09c 100644
--- a/net-im/gajim/Manifest
+++ b/net-im/gajim/Manifest
@@ -2,3 +2,4 @@ DIST gajim-1.8.4.tar.gz 3710470 BLAKE2B 
e23eafe707bc482a050fcef44df9e68af552444c
 DIST gajim-2.0.3.tar.gz 4711551 BLAKE2B 
66508788267132901f805cc130cd685005c77e3887833e36e31a895e1e9fb699ac84cf448879796870bf58dc321989b31fee4dff490c804f27fa6eea4848398c
 SHA512 
4efb495edaad0e3d0e4945b2e5ff1334fb6703ebf6fc60c6f81861cda01ab85feef5cf90abd214dac6f79036700b6d6d68ed25fe13af91c1ecb6739e9e8ca1bf
 DIST gajim-2.1.0.tar.gz 4739465 BLAKE2B 
d03822a51dc36fd15138d376d15967bedb71632a9ca8746bc00b13c10b2719f5174d4d1a931da284de1331a891f8a3cd3001240361e2a618350bdd90f57e096a
 SHA512 
be05385f22ff6b5d8627b93cbe3e278ef4a65b367730a0a834f35075ab230c6257295f34bb407d0d97f2a0aac9813e48e3551f63e40012112de2830b7de5b202
 DIST gajim-2.1.1.tar.gz 4770380 BLAKE2B 
9bef795c303f8273eded50f4010cd73db09d60ad96740d8a1fca85fb572e6761877b18cad1f2d338f15d8693c20dedad91f8b9d52752a9c7229f2674ec5d4c55
 SHA512 
5457914716b8c1502c823c7dc8b3b9d50aff4d118488dd8cdbc7da911de67fde7d8dc54e3e86356d0260d418a5758a552045def30a4013cfa2d39a6bae6641ae
+DIST gajim-2.2.0.tar.gz 4798143 BLAKE2B 
3799bacfd6a94d8313bf02c6f48d0e348aeb89147c730c8c5ef04d9cf1d8ff289cabd576cea55be755410080416706776c1af224fe1cd2a1fa63f4bbd887026c
 SHA512 
b61682a8dde3beaf03d5be16091e54b2aada681493d4f4ad4a83bade37d3762d12663a0b918abbc07136c32925ba168780caaf9dfe9080872779026755286b45

diff --git a/net-im/gajim/gajim-2.2.0.ebuild b/net-im/gajim/gajim-2.2.0.ebuild
new file mode 100644
index 000000000000..fd4be6e5cb32
--- /dev/null
+++ b/net-im/gajim/gajim-2.2.0.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+PYTHON_REQ_USE="sqlite,xml(+)"
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 optfeature xdg
+
+DESCRIPTION="GTK XMPP Client"
+HOMEPAGE="https://gajim.org/";
+SRC_URI="https://gajim.org/downloads/$(ver_cut 1-2)/${P/_p/-}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+IUSE="voice"
+
+# Same order as in upstream pyproject.toml please for the python dependencies
+
+# For introspection dependencies consult upstream documentation and any 
gi.require_version in the code
+
+# USE="voice" handles all video and audio.
+# https://dev.gajim.org/gajim/gajim#for-video-and-audio-calls
+# https://dev.gajim.org/gajim/gajim#for-voice-messages
+
+# xdg-desktop-portal: apparent runtime requirement
+# 
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2963fc1a23747bbb60a3785bf06dd566e6d8be9
+
+RDEPEND="${COMMON_DEPEND}
+       >=dev-python/cryptography-3.4.8[${PYTHON_USEDEP}]
+       dev-python/css-parser[${PYTHON_USEDEP}]
+       >=dev-python/emoji-2.6.0[${PYTHON_USEDEP}]
+       dev-python/keyring[${PYTHON_USEDEP}]
+       <dev-python/nbxmpp-7.0.0[${PYTHON_USEDEP}]
+       >=dev-python/nbxmpp-6.2.0[${PYTHON_USEDEP}]
+       <dev-python/omemo-dr-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/omemo-dr-1.0.0[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/pillow-9.1.0[${PYTHON_USEDEP}]
+       >=dev-python/precis-i18n-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
+       >=dev-python/pygobject-3.42.0:3[cairo,${PYTHON_USEDEP}]
+       >=dev-python/qrcode-7.3.1[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-2.0.0[${PYTHON_USEDEP}]
+
+       dev-libs/glib[introspection(+)]
+       >=gui-libs/gtk-4.14.0:4[introspection]
+       gui-libs/gtksourceview:5[introspection]
+       media-libs/graphene[introspection]
+       net-libs/libsoup:3.0[introspection]
+       x11-libs/gdk-pixbuf:2[introspection]
+       >=x11-libs/pango-1.50.0[introspection]
+
+       voice? (
+               media-libs/gstreamer:1.0[introspection]
+               media-libs/gst-plugins-base
+               media-libs/gst-plugins-ugly
+               media-plugins/gst-plugins-gtk
+               media-plugins/gst-plugins-libav
+               net-libs/farstream:0.2[introspection]
+       )
+
+       sys-apps/xdg-desktop-portal
+"
+BDEPEND="
+       >=sys-devel/gettext-0.17-r1
+"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+       # Generates manpages, app icons, translation and metadata
+       ./make.py build --dist unix || die
+}
+
+python_install_all() {
+       # Installs manpages, app icons, translation and metadata
+       ./make.py install --dist unix --prefix="${ED}/usr" || die
+
+       # Undo compression in ./make.py install
+       gzip -d "${ED}"/usr/share/man/man1/*.gz || die
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       ewarn "The chat database format changes when upgrading from 1.8.x to 
1.9.x."
+       ewarn "The first time the user starts Gajim, an automatic migration is 
performed."
+
+       # 
https://dev.gajim.org/gajim/gajim/-/tree/master?ref_type=heads#optional-runtime-requirements
+       #optfeature "Sentry error reporting to dev.gajim.org" 
dev-python/sentry-sdk
+       optfeature "keyring support" app-crypt/libsecret[introspection]
+       optfeature "spellchecking support" "app-text/hunspell 
app-text/libspelling:1"
+       # https://dev.gajim.org/gajim/gajim/-/issues/11578
+       #optfeature "better NAT traversing" net-libs/gupnp:1.6[introspection]
+       optfeature "network lose detection" 
net-misc/networkmanager[introspection]
+       optfeature "sharing your location" app-misc/geoclue:2.0[introspection]
+       optfeature "notifcation sound support" media-libs/gsound[introspection]
+
+       xdg_pkg_postinst
+}

Reply via email to